MAKEWHATIS(8)

NOMBRE
makewhatis - Crea la base de datos de whatis

SINOPSIS
makewhatis [-u] [-v] [-w] [-s secciones ] [-c [catpath]] [manpath]

DESCRIPCIÓN
makewhatis lee todas las páginas del manual contenidas en las secciones de manpath dadas o de las páginas preformateadas contenidas en las secciones de catpath dadas. Por cada página, escribe una línea en la base de datos de whatis; cada línea contiene el nombre de la página y una breve descripción, separadas por una guión. La descripción se obtiene del contenido de la sección NOMBRE de la página del manual.

Ya que otros idiomas usan términos diferentes para la sección NOMBRE, makewhatis reconoce los términos equivalentes en checo, italiano, finlandés, francés, alemán y español.

Si no se da el argumento manpath se asume por defecto /usr/man

OPCIONES

-u  Actualiza la base de datos con páginas nuevas.

-v  Salida prolija

-w  Usa la ruta de `man --path`

-s secciones
    Mira en las secciones de manpath o catpaht. Si no existe la opción, se asume el valor '1 2 3 4 5 6 7 8 9 n l'

-c catpath
    Se exploran la páginas del manual preformateadas en catpath Si no se da el argumento, se asume que será el primer directorio existente entre /usr/man/preformat y /usr/man.

EJEMPLOS

Para rehacer sólo /usr/X11R6/man/whatis y /usr/local/man/whatis

    makewhatis /usr/X11R6/man /usr/local/man

Para reconstruir todas las bases de datos, incluyendo las traducciones al finlandés, francés e italiano

    LANGUAGE=fi:fr:it makewhatis -w

FALLOS
makewhatis puede que no maneje bien páginas del manual hechas con macros troff no estándar, como las páginas de Tcl/Tk.

makewhatis no funciona con traducciones preformateadas

AUTOR
John W. Eaton fue el autor original de man. Zeyd M. Ben-Halim lanzó man 1.2, y Andries Brouwer continuó con las versiones 1.3 a 1.5p. Federico Lucifredi <flucifredi@acm.org> es el encargado actual.

TRADUCCIÓN
Benjamín Albiñana, 2006

VÉASE TAMBIÉN
apropos(1), man(1), whatis(1)